Show / Hide Table of Contents

# Class GameFontLayoutPlan.Element

Plan on how each glyph will be rendered.

##### Inheritance

System.Object
GameFontLayoutPlan.Element

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Interface.GameFonts

###### Assembly: Dalamud.dll

##### Syntax

    public class Element

### Properties

| Improve this Doc View Source

#### Codepoint

Gets the original codepoint.

##### Declaration

    public int Codepoint { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Glyph

Gets the corresponding or fallback glyph.

##### Declaration

    public FdtReader.FontTableEntry Glyph { get; set; }

##### Property Value

Type | Description
--- | ---
FdtReader.FontTableEntry |

| Improve this Doc View Source

#### IsChineseCharacter

Gets a value indicating whether whether this codepoint is a chinese character.

##### Declaration

    public bool IsChineseCharacter { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsControl

Gets a value indicating whether whether this codepoint is a control character.

##### Declaration

    public bool IsControl { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsLineBreak

Gets a value indicating whether whether this codepoint is a line break character.

##### Declaration

    public bool IsLineBreak { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsSpace

Gets a value indicating whether whether this codepoint is a space.

##### Declaration

    public bool IsSpace { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsWordBreakPoint

Gets a value indicating whether whether this codepoint is a good position to break word after.

##### Declaration

    public bool IsWordBreakPoint { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### X

Gets the X offset of this glyph.

##### Declaration

    public float X { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Y

Gets the Y offset of this glyph.

##### Declaration

    public float Y { get; }

##### Property Value

Type | Description
--- | ---
System.Single |